%define distro clifff
Name: installer-distro-%distro
Version: 8.0
Release: alt1.M80C.10

Summary: Installer files for Cliff distro 
License: GPL
Group: System/Configuration/Other
BuildArch: noarch

Source: %name-%version.tar

%description
Installer files for Clifff distro.

%package stage2
Summary: Installer stage2
License: GPL
Group: System/Configuration/Other
Provides: installer-%distro-stage2 = %name-%version
Requires: installer-stage2
#modules
Requires: alterator-sysconfig
Requires: alterator-datetime
Requires: alterator-pkg
Requires: alterator-vm
Requires: alterator-notes
Requires: x-cursor-theme-jimmac

%description stage2
Clifff Installer stage2.

%package stage3
Summary: Installer stage3
License: GPL
Group: System/Configuration/Other
Provides: installer-%distro-stage3 = %name-%version
Requires: installer-stage3
#modules
Requires: alterator-users
Requires: alterator-root
Requires: alterator-net-eth dhcpcd
Requires: alterator-net-general
Requires: alterator-net-bond alterator-net-bridge
Requires: installer-feature-nfs-server-stage3
Requires: installer-feature-powerbutton-stage3
Requires: alterator-grub
Requires: alterator-luks

%description stage3
Clifff Installer stage3.

%prep
%setup

%install
%define install2dir %_datadir/install2
mkdir -p %buildroot%install2dir
cp -a * %buildroot%install2dir/

%files stage2
%install2dir/alterator-menu
%install2dir/installer-steps
%install2dir/services-*
%install2dir/systemd-*
%install2dir/*.d/*

%files stage3

%changelog
* Wed Jan 17 2018 Denis Medvedev <nbr@altlinux.org> 8.0-alt1.M80C.10
- everyone, not everybody in passwdqc

* Wed Jan 17 2018 Denis Medvedev <nbr@altlinux.org> 8.0-alt1.M80C.9
- fixes in passwdqc and smem change code.

* Tue Jan 16 2018 Denis Medvedev <nbr@altlinux.org> 8.0-alt1.M80C.8
- added osec start on boot

* Tue Jan 16 2018 Denis Medvedev <nbr@altlinux.org> 8.0-alt1.M80C.7
- add passwdqc password complexity and smem memory clean to grub.

* Fri Dec 15 2017 Denis Medvedev <nbr@altlinux.org> 8.0-alt1.M80C.6
- fix bug

* Fri Dec 15 2017 Denis Medvedev <nbr@altlinux.org> 8.0-alt1.M80C.5
- fix shell script bugs

* Fri Dec 15 2017 Denis Medvedev <nbr@altlinux.org> 8.0-alt1.M80C.4
- added automount and autologout

* Thu Dec 14 2017 Denis Medvedev <nbr@altlinux.org> 8.0-alt1.M80C.3
- enabling new services, added fixed rhosts, switched off MAC stuff in installer

* Fri Dec 08 2017 Denis Medvedev <nbr@altlinux.org> 8.0-alt1.M80C.2
- step name fixed

* Thu Dec 07 2017 Denis Medvedev <nbr@altlinux.org> 8.0-alt1.M80C.1
Initial release
